Results 1 to 7 of 7

Thread: Error installing patch 'sledsp3-grub-9193'

Hybrid View

  1. #1

    Error installing patch 'sledsp3-grub-9193'

    I am having issues with installing 'sledsp3-grub-9193 I am receiving the following error from the cli and from the gui.

    Code:
    Error: Subprocess failed. Error : RPM failed: error :
    unpacking of archive failed on file /boot/boot;56df1e8c: cpio: symlink failed - operation not permitted
    This is a new machine.

  2. #2

    Re: Error installing patch 'sledsp3-grub-9193'

    Looks like it has to do with an issue created/caused by HP.

    The boot partition for whatever reason is 'vfat', which does not support symlinks.

  3. #3

    Re: Error installing patch 'sledsp3-grub-9193'

    I am facing exactly the same problem with my HP machine with vfat filesystem for /boot

    If I ignore this and try to get updated to SP4, after registration SP4-pool, SP4-updates etc do not appear in the list of repositories and hence
    update to SP4 doesn't happen.

    How to resolve this problem? How do I update to SP4?

  4. #4

    Re: Error installing patch 'sledsp3-grub-9193'

    On 30/06/16 12:24, mithun wrote:

    > I am facing exactly the same problem with my HP machine with vfat
    > filesystem for /boot
    >
    > If I ignore this and try to get updated to SP4, after registration
    > SP4-pool, SP4-updates etc do not appear in the list of repositories and
    > hence
    > update to SP4 doesn't happen.
    >
    > How to resolve this problem? How do I update to SP4?


    So you currently have SLED11 SP3? How are you upgrading to SP4? What
    does "zypper products" report?

    HTH.
    --
    Simon
    SUSE Knowledge Partner

    ------------------------------------------------------------------------
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below. Thanks.
    ------------------------------------------------------------------------

  5. #5

    Re: Error installing patch 'sledsp3-grub-9193'

    Quote Originally Posted by smflood View Post
    So you currently have SLED11 SP3? How are you upgrading to SP4? What
    does "zypper products" report?

    HTH.
    --
    Simon
    SUSE Knowledge Partner
    Currently I have SLED 11 SP3 and want to upgrade to SP4. I followed the instructions (using zypper) given in

    https://www.novell.com/support/kb/doc.php?id=7016711

    At one point I had trouble in applying all the patches (the grub patch), which now has got resolved.
    Still I am unable to upgrade to SP4. Apparently the migration product got installed, but the repositories
    of SP4 are not added. Please see the outputs of zypper pd below:

    Code:
    linux:~ # zypper pd
    Refreshing service 'nu_novell_com'.
    Loading repository data...
    Reading installed packages...
    S | Repository      | Internal Name           | Name                                                  | Version    | Arch   | Is Base
    --+-----------------+-------------------------+-------------------------------------------------------+------------+--------+--------
    i | @System         | SUSE_SLED-SP4-migration | SUSE_SLED Service Pack 4 Migration Product            | 11.3-1.4   | x86_64 | No     
    i | @System         | SUSE_SLED               | SUSE Linux Enterprise Desktop 11 SP3                  | 11.3-1.201 | x86_64 | Yes    
    i | @System         | sle-sdk                 | SUSE Linux Enterprise Software Development Kit 11 SP4 | 11.4-1.55  | x86_64 | No     
    v | SLED11-SP3-Pool | SUSE_SLED               | SUSE Linux Enterprise Desktop 11 SP3                  | 11.3-1.95  | x86_64 | No
    After this suse_register and zypper ref were executed. The output of zypper lr after this looks like:

    Code:
    linux:~ # zypper lr
    #  | Alias                                     | Name                            | Enabled | Refresh
    ---+-------------------------------------------+---------------------------------+---------+--------
     1 | ATI-Driver-HP-BNB-SLE11-SP3               | ATI-Driver-HP-BNB-SLE11-SP3     | No      | No     
     2 | ATI-Driver-SLE11-SP4                      | ATI-Driver-SLE11-SP4            | Yes     | Yes    
     3 | HP-BNB-Dedicated-Update-Channel           | HP-BNB-Dedicated-Update-Channel | Yes     | No     
     4 | nVidia-Driver-SLE11-SP3                   | nVidia-Driver-SLE11-SP3         | No      | No     
     5 | nVidia-Driver-SLE11-SP4                   | nVidia-Driver-SLE11-SP4         | Yes     | Yes    
     6 | nu_novell_com:SLE11-SDK-SP1-Pool          | SLE11-SDK-SP1-Pool              | No      | Yes    
     7 | nu_novell_com:SLE11-SDK-SP1-Updates       | SLE11-SDK-SP1-Updates           | No      | Yes    
     8 | nu_novell_com:SLE11-SDK-SP2-Core          | SLE11-SDK-SP2-Core              | No      | Yes    
     9 | nu_novell_com:SLE11-SDK-SP2-Updates       | SLE11-SDK-SP2-Updates           | No      | Yes    
    10 | nu_novell_com:SLE11-SDK-SP3-Pool          | SLE11-SDK-SP3-Pool              | No      | Yes    
    11 | nu_novell_com:SLE11-SDK-SP3-Updates       | SLE11-SDK-SP3-Updates           | No      | Yes    
    12 | nu_novell_com:SLE11-SDK-SP4-Pool          | SLE11-SDK-SP4-Pool              | Yes     | Yes    
    13 | nu_novell_com:SLE11-SDK-SP4-Updates       | SLE11-SDK-SP4-Updates           | Yes     | Yes    
    14 | nu_novell_com:SLE11-SP3-Debuginfo-Pool    | SLE11-SP3-Debuginfo-Pool        | Yes     | No     
    15 | nu_novell_com:SLE11-SP3-Debuginfo-Updates | SLE11-SP3-Debuginfo-Updates     | Yes     | No     
    16 | nu_novell_com:SLED11-Extras               | SLED11-Extras                   | Yes     | No     
    17 | nu_novell_com:SLED11-SP3-HP-BNB-Updates   | SLED11-SP3-HP-BNB-Updates       | Yes     | No     
    18 | nu_novell_com:SLED11-SP3-Pool             | SLED11-SP3-Pool                 | Yes     | No     
    19 | nu_novell_com:SLED11-SP3-Updates          | SLED11-SP3-Updates              | Yes     | No     
    20 | science                                   | science                         | Yes     | Yes
    As you can see the SDK, NVIDIA etc got updated repositories listed. But SP4-Pool and SP4-Updates are not listed.
    I am having HP machine with pre-loaded SLED 11.

    Please help to resolve this.
    Last edited by mithun; 01-Jul-2016 at 17:04.

  6. #6

    Question Re: Error installing patch 'sledsp3-grub-9193'


    is it feasible for you to install SLED11SP4 from scratch as a new installation rather than updating/upgrading?

    this is what i did in my case. installation errors (if any) are easier to manage.

    remember to have /home and other critical system folders you may need under a separate partition (or set a back-up) before re-partitioning & formatting.

  7. #7

    Re: Error installing patch 'sledsp3-grub-9193'

    Quote Originally Posted by ofvergara View Post

    is it feasible for you to install SLED11SP4 from scratch as a new installation rather than updating/upgrading?
    As I have many specific software (research related) installed on my machine, some of which are in system directories, re-installation would
    take lot of effort. It would be great if I could update to SP4 which will avoid re-installation of a large number of applications.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •